Updated: 02/08/2013 Due date:

Subject: Add trash support

Description

Pithos needs a way to move files to trash, list files in trash and restore a file from trash.

Implement and document this feature. Also discuss if and how it applies to folders.

Associated revisions

Revision 22dab079 - 05/27/2011 04:48 pm - Antony Chazapis

Provide metadata functions for tags and trash support. Restructure backend to work with blocks and hashmaps.

List of major API updates (tested and ready changes are in the docs):

    -  List object meta keys in container headers.

    -  Filter object listings based on their meta keys.

    -  Enforce metadata replacement on POST/COPY/MOVE.

    -  Add Content-Range to range replies.

    -  Return ETag in If-None-Match GET replies.

    -  Handle multi-range GET replies as outlined in RFC2616.

    -  Add Content-Disposition to the allowable object headers.

    -  Implement block per block GET and PUT.

    -  Better range parsing (and multiple ranges).

The new backend is version-ready, but the API does not yet implement versions. The frontend exposes hashmaps through GET - this may change.
Fixes #561
History

#1 - 05/27/2011 05:23 pm - Antony Chazapis

Documented by doc changes in f2d7b5ab.

#2 - 06/01/2011 01:26 pm - Giorgos Verigakis

- Status changed from New to Closed

#3 - 02/08/2013 07:01 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.2)

#4 - 02/08/2013 07:03 pm - Vangelis Koukis

- Category set to Pithos
